body {
  background-color: #f5f5f5;
}

.body_container {
  padding-top: 25px;
}

.theme-dropdown .dropdown-menu {
  position: static;
  display: block;
  margin-bottom: 20px;
}

.theme-showcase > p > .btn {
  margin: 5px 0;
}

.theme-showcase .navbar .container {
  width: auto;
}

textarea
{
   font-family:monospace, serif;
   font-size: 14px;
   background-color: #343a40 !important;
   color: white !important;
   font-size: 20px !important;
   vertical-align: middle;
   text-align: center;
   resize: none;
   height: 49.75px !important;
}
.onoffswitch {
	position: relative; 
	width: 90px; 
	-webkit-user-select:none; 
	-moz-user-select:none; -ms-user-select: none;
}
.onoffswitch-checkbox {
	display: none;
}
.onoffswitch-label {
	display: block; 
	overflow: hidden;
	border: 2px solid #999999; 
	border-radius: 20px;
}
.onoffswitch-inner {
	display: block; 
	width: 200%;
	margin-left: -100%;
	transition: margin 0.3s ease-in 0s;
}
.onoffswitch-inner:before, .onoffswitch-inner:after {
	display: block; 
	float: left;
	width: 50%; 
	height: 30px; 
	padding: 0; 
	line-height: 30px;
	font-size: 14px; 
	color: white; 
	font-family: Trebuchet, Arial, sans-serif; 
	font-weight: bold;
	box-sizing: border-box;
}
.onoffswitch-inner:before {
	content: "ON";
	padding-left: 10px;
	background-color: #34A7C1; 
	color: #FFFFFF;
}
.onoffswitch-inner:after {
	content: "OFF";
	padding-right: 10px;
	background-color: #EEEEEE; 
	color: #999999;
	text-align: right;
}
.onoffswitch-switch {
	display: block; 
	width: 48px; 
	margin: -9px;
	background: #FFFFFF;
	position: absolute; 
	top: 0; 
	bottom: 0;
	right: 56px;
	border: 2px solid #999999; 
	border-radius: 20px;
	transition: all 0.3s ease-in 0s; 
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
	margin-left: 0;
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
	right: 0px; 
}

[id="cleared"] {
  margin-top: 4em;
}

.mb-0>button, .mb-0>button:active{
	display:block;
	padding:15px;
  color:#555;
  font-size:20px;
  font-weight:bold;
	text-transform:uppercase;
	letter-spacing:1px;
  word-spacing:3px;
	text-decoration:none;
}

.mb-0 > button[aria-expanded]:before {
   font-family: 'Font Awesome 5 Free';
   content: "\f13a";
   float: right;
   transition: all 0.5s;
}

.mb-0 > button[aria-expanded='true']:before {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    transform: rotate(180deg);
}

fieldset {
    border: 1px groove #ddd !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
}

legend {
    font-size: 1.2em !important;
    font-weight: bold !important;
    text-align: left !important;
    width:auto;
    padding:0 10px;
    border-bottom:none;
}

.info-box {
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgba(0, 0, 0, 0.2);
  border-radius: 0.25rem;
  background: #ffffff;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 1rem;
  min-height: 80px;
  padding: .5rem;
  position: relative;
}

.info-box .progress {
  background-color: rgba(0, 0, 0, 0.125);
  height: 2px;
  margin: 5px 0;
}

.info-box .progress .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box-icon {
  border-radius: 0.25rem;
  -ms-flex-align: center;
  align-items: center;
  display: -ms-flexbox;
  display: flex;
  font-size: 1.875rem;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
  width: 70px;
}

.info-box .info-box-icon > img {
  max-width: 100%;
}

.info-box .info-box-content {
  -ms-flex: 1;
  flex: 1;
  padding: 5px 10px;
}

.info-box .info-box-number {
  display: block;
  font-weight: 700;
}

.info-box .progress-description,
.info-box .info-box-text {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.info-box .info-box .bg-primary,
.info-box .info-box .bg-gradient-primary {
  color: #ffffff;
}

.info-box .info-box .bg-primary .progress-bar,
.info-box .info-box .bg-gradient-primary .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box .bg-secondary,
.info-box .info-box .bg-gradient-secondary {
  color: #ffffff;
}

.info-box .info-box .bg-secondary .progress-bar,
.info-box .info-box .bg-gradient-secondary .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box .bg-success,
.info-box .info-box .bg-gradient-success {
  color: #ffffff;
}

.info-box .info-box .bg-success .progress-bar,
.info-box .info-box .bg-gradient-success .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box .bg-info,
.info-box .info-box .bg-gradient-info {
  color: #ffffff;
}

.info-box .info-box .bg-info .progress-bar,
.info-box .info-box .bg-gradient-info .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box .bg-warning,
.info-box .info-box .bg-gradient-warning {
  color: #1F2D3D;
}

.info-box .info-box .bg-warning .progress-bar,
.info-box .info-box .bg-gradient-warning .progress-bar {
  background-color: #1F2D3D;
}

.info-box .info-box .bg-danger,
.info-box .info-box .bg-gradient-danger {
  color: #ffffff;
}

.info-box .info-box .bg-danger .progress-bar,
.info-box .info-box .bg-gradient-danger .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box .bg-light,
.info-box .info-box .bg-gradient-light {
  color: #1F2D3D;
}

.info-box .info-box .bg-light .progress-bar,
.info-box .info-box .bg-gradient-light .progress-bar {
  background-color: #1F2D3D;
}

.info-box .info-box .bg-dark,
.info-box .info-box .bg-gradient-dark {
  color: #ffffff;
}

.info-box .info-box .bg-dark .progress-bar,
.info-box .info-box .bg-gradient-dark .progress-bar {
  background-color: #ffffff;
}

.info-box .info-box-more {
  display: block;
}

.info-box .progress-description {
  margin: 0;
}

.badge {
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;

}

.badge-default-header {
  color: #fff;
  background-color: #777;
}

.badge-vmid {
  color: #d9edf7;
  background-color: #31708f;
  border-radius: 10px;
}

.form-inline label {
  -ms-flex-align: right;
  align-items: right;
  -ms-flex-pack: right;
  justify-content: right;
  margin-bottom: 0;
  font-weight: 700;
}
